Lost work when switching from wikitext to visual modes on wikitech and private wikis (not using RESTbase)
Closed, ResolvedPublic8 Story Points

Description

Reported by @LuisVilla at https://www.mediawiki.org/wiki/Topic:Tldb9kyn3bklgap8

Steps to lose your work:

  1. Open a page in VisualEditor's visual mode and make a lot of changes.
  2. Switch to wikitext mode and make more changes.
  3. Switch back to visual mode.
  4. Discover that all of your work is gone.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 21 2017, 7:47 PM
DLynch added a subscriber: DLynch.Mar 8 2017, 5:08 PM

I can confirm seeing this. It's also not necessary to go visual>text>visual. Any text>visual switch loses changes.

DLynch renamed this task from Lost work when switching from visual to wikitext to visual modes to Lost work when switching from wikitext to visual modes.Mar 8 2017, 5:08 PM
DLynch added a subscriber: Esanders.

Change 342053 had a related patch set uploaded (by DLynch):
[mediawiki/extensions/VisualEditor] ArticleTargetLoader: wikitext switch shouldn't require FullRestbaseURL

https://gerrit.wikimedia.org/r/342053

Change 342053 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor] ArticleTargetLoader: wikitext switch shouldn't require FullRestbaseURL

https://gerrit.wikimedia.org/r/342053

Change 342087 had a related patch set uploaded (by Jforrester; owner: DLynch):
[mediawiki/extensions/VisualEditor] ArticleTargetLoader: wikitext switch shouldn't require FullRestbaseURL

https://gerrit.wikimedia.org/r/342087

Jdforrester-WMF renamed this task from Lost work when switching from wikitext to visual modes to Lost work when switching from wikitext to visual modes on wikitech and private wikis (not using RESTbase).Mar 9 2017, 8:51 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Fixed in master for the RESTBase bit. However, on re-reading the report it happened on enwiki (which does have FullRestbaseURL set). Is it possible that this sometimes gets broken in production? Might be a deployment glitch? Or is there another part of this bug?

Change 342087 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor] ArticleTargetLoader: wikitext switch shouldn't require FullRestbaseURL

https://gerrit.wikimedia.org/r/342087

Mentioned in SAL (#wikimedia-operations) [2017-03-10T00:38:45Z] <dereckson@tin> Synchronized php-1.29.0-wmf.15/extensions/VisualEditor/modules/ve-mw/init/ve.init.mw.ArticleTargetLoader.js: ArticleTargetLoader: wikitext switch shouldn't require FullRestbaseURL (T158692) (duration: 00m 41s)

Jdforrester-WMF triaged this task as Unbreak Now! priority.EditedMar 10 2017, 12:54 AM
Jdforrester-WMF assigned this task to DLynch.

So on private wikis this doesn't seem to have helped :-(

  • Start in WT, make change A, move to VE, see that change A is lost and it's as if you're starting from scratch.
  • Start in VE, make change A, move to WT, see change A is retained, make change B, move to VE, see that both changes A and B are lost and it's as if you're starting from scratch.
Restricted Application added subscribers: Jay8g, TerraCodes. · View Herald TranscriptMar 10 2017, 12:54 AM

Change 342160 had a related patch set uploaded (by Jforrester):
[mediawiki/extensions/VisualEditor] ArticleTarget#switchToVisualEditor: Bail if the server won't let you switch

https://gerrit.wikimedia.org/r/342160

Jdforrester-WMF set the point value for this task to 8.Mar 10 2017, 1:36 AM

Change 342160 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor] ArticleTarget#switchToVisualEditor: Bail if the server won't let you switch

https://gerrit.wikimedia.org/r/342160

Jdforrester-WMF closed this task as Resolved.Mar 14 2017, 9:14 PM

I think that this bit should now be fixed in master, rolling out to production from three hours ago. I hope. :-(

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMar 14 2017, 9:14 PM